Download it now!
Bug 64577 - LibreOffice Writer crashes when browsing CMIS (Alfresco 4.2) folders with files larger than XGB
Summary: LibreOffice Writer crashes when browsing CMIS (Alfresco 4.2) folders with fil...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks: 64615
  Show dependency treegraph
 
Reported: 2013-05-14 09:01 UTC by Vitab
Modified: 2013-05-16 13:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitab 2013-05-14 09:01:40 UTC
Symptom:
Using the new CMIS connector to browse Alfresco 4.2 folders including files larger than XGB makes LibreOffice Writer crash. 

To reproduce:
1. Upload ISO larger than 2,42GB to a folder on your Alfresco 4.2 installation.
2. Try browsing this folder via LibreOffice own filepicker with the new CMIS connector.
3. Crash

I have reproduced this with two different files.

Dell_D630_XP_A.ISO (2,42 GB (2 599 450 624 bytes))
7601.17514.101119-1850_x64fre_server_eval_en-us-GRMSXEVAL_EN_DVD.ISO (2,94 GB (3 166 840 832 bytes))
Comment 1 Cédric Bosdonnat 2013-05-15 14:02:26 UTC
I tested here on an alfresco test server, uploaded windows 2008 server iso (3.0 GB) and had no crash when browsing that folder with a master build.

Unfortunately, without more infos, I'll have to close as WORKSFORME.
Comment 2 Cédric Bosdonnat 2013-05-15 14:50:14 UTC
Crash reproduced on Windows 4.0.3
Comment 3 Joel Madero 2013-05-15 18:10:33 UTC
Setting to Major as it's a crasher, also bumping it up to high
Comment 4 Cédric Bosdonnat 2013-05-16 07:11:10 UTC
Crashing also on 32 bits linux builds.
Taking it
Comment 5 Commit Notification 2013-05-16 13:20:47 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a6f5186a8e4089181f57af44fa4654fe692856b

fdo#64577, CMIS: fixed crasher in libcmis



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Cédric Bosdonnat 2013-05-16 13:29:26 UTC
Fixed in master
Comment 7 Commit Notification 2013-05-16 13:56:42 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e33f51a6bec412e988ab7750309358512a3c0614&h=libreoffice-4-0

fdo#64577, CMIS: fixed crasher in libcmis


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.